Skip to main content
GET
/
sites
/
{id}
/
db
/
tables
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.sites.listDatabaseTables({
    id: "<id>",
  });

  console.log(result);
}

run();
curl --request GET \
--url https://api.crevio.co/v1/sites/{id}/db/tables \
--header 'Authorization: <api-key>'
import requests

url = "https://api.crevio.co/v1/sites/{id}/db/tables"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.crevio.co/v1/sites/{id}/db/tables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "<string>",
  "tables": [
    "<string>"
  ],
  "table_count": 123
}
{
"error": {
"type": "invalid_request_error",
"code": "bad_request",
"message": "The request was malformed or contained invalid parameters"
}
}
{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}
{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "The requested resource was not found"
}
}
{
"error": {
"type": "validation_error",
"code": "validation_failed",
"message": "Email is required",
"errors": {
"email": [
"can't be blank"
]
}
}
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

id
string
required

The resource ID (e.g., "prod_abc123") or slug (e.g., "my-product")

Response

The site's database tables

object
string
required

Always "database_tables".

tables
string[]
required

Names of the user-defined tables in the site's database.

table_count
integer
required

Number of tables returned.